function a = steering_ula(theta,m,fc,d)
%STEERING_ULA generates a steering (Vandermoned) vector for Uniform Linear Array (ULA)
% - theta: angle of arrival (in  ]-90, 90] degree)
% - m: number of antennas
% - fc: carrier frequency (in Hz)
% - d: inter-antenna spacing (in meter)
c=3e8;        % speed of light in air in meter/sec
Lambda=c/fc;  % wavelength in meter
a=exp(j*2*pi*(0:m-1)*d*sin(pi*theta/180)/Lambda).';
